<script type="text/javascript">
    RED.nodes.registerType('prometheus-targets', {
        category: 'prometheus',
        color: '#F3B567',
        defaults: {
            name: { 
                value: "" 
            },
            server: {
                required: true,
                type: "prometheus-server"
            },
            state: {
                value: "",
                required: false
            }
        },
        inputs: 1,
        outputs: 1,
        icon: "prometheus.png",
        paletteLabel: "targets",
        label: function() {
            return this.name || "targets";
        }
    });
</script>

<script type="text/html" data-template-name="prometheus-targets">
    
    <div class="form-row">
        <label for="node-input-server"><i class="fa fa-globe"></i> Server</label>
        <input type="text" id="node-input-server" placeholder="Prometheus Server">
    </div>

    <div class="form-row">
        <label for="node-input-state"><i class="fa fa-search"></i> State</label>
        <input type="text" id="node-input-state" placeholder="State">
    </div>

    <div class="form-row">
        <label for="node-input-name"><i class="fa fa-tag"></i> Name</label>
        <input type="text" id="node-input-name" placeholder="Name">
    </div>

</script>

<script type="text/html" data-help-name="prometheus-targets">
    <p>Returns an overview of the current state of the Prometheus target discovery</p>
</script>
